EDIT - bug #6427

Improve Matching for Reference.title and abbrevTitle
02/17/2017 10:16 AM - Andreas Mdller

Status: New Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdm Estimated time: 0:00 hour
Target version: Unassigned CDM tickets

Severity: normal Found in Version: Release 4.5
Description

Currently we have EQUAL_REQUIRED on title which is to strict as also an abbrevTitle is sufficient.
We need a rule that requires 1 out of several parameters (or does this exist already somewhere?).

For nomenclatural references this rule is too strict anyway as there are many articles and booksections without title #6417

Related issues:
Related to EDIT - task #6417: [DISCUSS] Need and properties of a Nomenclatura... New
Related to EDIT - feature request #9085: Improve deduplication of parsed names Closed

Associated revisions

Revision 1b105214 - 02/17/2017 10:19 AM - Andreas Miuller
ref #6427 javadoc

Revision 0e227b90 - 05/19/2021 02:53 PM - Andreas Miiller
ref #6427 add in doc

History

#1 - 02/17/2017 10:17 AM - Andreas Miiller

- Description updated

#2 - 02/17/2017 10:17 AM - Andreas Miiller

- Found in Version set to Release 4.5

#3 - 02/17/2017 10:18 AM - Andreas Miiller
- Related to task #6417: [DISCUSS] Need and properties of a NomenclaturalReference class added

#4 - 05/19/2021 11:06 AM - Andreas Miiller

- Related to feature request #9085: Improve deduplication of parsed names added
#5 - 05/19/2021 11:24 AM - Andreas Miiller

This is not so urgent anymore since we have the MatchStrategyFactory and especially the ParsedXxxMatchers. However, for correct deduplication of
any references something like 1_OF_X_Required will be needed.
